CVE-2016-10937

NameCVE-2016-10937
DescriptionIMAPFilter through 2.6.12 does not validate the hostname in an SSL certificate.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs939702

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imapfilter (PTS)jessie1:2.5.2-2vulnerable
stretch1:2.6.10-1vulnerable
bullseye, sid, buster1:2.6.12-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imapfiltersource(unstable)(unfixed)medium939702

Notes

[buster] - imapfilter <no-dsa> (Minor issue)
[stretch] - imapfilter <no-dsa> (Minor issue)
https://github.com/lefcha/imapfilter/issues/142
Patch for support for hostname validation (requrires OpenSSL 1.1.0 and later):
https://github.com/lefcha/imapfilter/commit/bf2515da752eddd54973adb0853c6aa289e921b6
Patch for support for hostname validation (for OpenSSL 1.0.2 and later):
https://github.com/lefcha/imapfilter/commit/3daa2692e37fc52ce630e39a3fb6faf270c054b1

Search for package or bug name: Reporting problems